Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00069 Crash/Freeze Critical (emulator) Have not tried Jan 18, 2008, 19:29 Mar 16, 2008, 16:45
Tester Firewave View Status Public Platform
Assigned To Resolution Unable to reproduce OS
Status [?] Closed Driver various
Version 0.111u6 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00069: [debug] Crash in debug build
Description Games crash with -debug (updated: 0.122u1):

royalmah.c: mjifb - seems to crash randomly (not reproducible outside of mame_regtest)
-namcos2.c: metlhawk, metlhwkj (with -ftr)
-segasyse.c: all
-deco32.c: tattas, tattasa
-simpl156.c: gangonta, candance
-irobot.c: irobot
-xain.c: xsleena, xsleenab, solarwar
-seta.c: usclssic
-suna16.c: uballoon

Games crash with the debug build of MAME without enabling the debugger:

-deco32.c: tattass, tattassa
-irobot.c: irobot
-gridlee.c: gridlee
-segahang.c: shangupb (Crashes when exiting MAME. It does not happen in gdb)

Updated by Firewave in 0.122u1: I don't get any of the crashes *without the debugger* anymore. But I switched to XP x64 a while ago, maybe those still happen with a 32-bit OS.
I will run a test with -debug on the next u-release.
Steps To Reproduce
Additional Information
Github Commit
Flags Debug build specific
Regression Version
Affected Sets / Systems
Attached Files
zip file icon debug_crash0111u6ora.zip (9,582 bytes) Feb 13, 2008, 21:44
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.00187
Firewave
Senior Tester
Mar 16, 2008, 16:44
I opened seperate reports for

-seta.c: usclssic
-suna16.c: uballoon

which can now always be reproduced. All other crashes don't happen anymore. Closing it.